require=(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
"use strict";
var AppData=function(){
};
AppData.prototype={
    appdata:{}
};

AppData.prototype.addItem=function(key,value){
    this.appdata(key,value);
};

AppData.prototype.getItem=function(key){
    return this.appdata[key]||"";
}
module.exports=window.appData=new AppData();

},{}],2:[function(require,module,exports){
"use strict";
var extend=require("../gum.ui/utils/extend"),
    isArray=require("../gum.ui/utils/isArray"),
    log=require("./gum.log");



module.exports=function(opts,success,fail){
    /**
     * 同步获取模块css内容并赋值到样式模块
     * @param url
     */
    var defaults={
        "method":"post", //"post","get"请求方式
        "type":"json",   //"json","xml","text","jsonp" 请求类型
        "async":true,    //"异步请求"
        "Content-Type": "application/x-www-form-urlencoded",
        "requestedWith": "XMLHttpRequest",
        "crossOrigin": true,
        "timeout": 60000,
        "accept": {
            '*':  'text/javascript, text/html, application/xml, text/xml, */*'
            , 'xml':  'application/xml, text/xml'
            , 'html': 'text/html'
            , 'text': 'text/plain'
            , 'json': 'application/json, text/javascript'
            , 'js':   'application/javascript, text/javascript'
        },
        "data":{}
    }

    function Ajax(){

    }

    Ajax.prototype.request=function(opts){
        var self=this;
        self.opts=extend(defaults,opts);
        var params=this.toQueryString(opts["data"]);
        if((self.opts.method=="get" || self.opts.type=="jsonp") && params){
            self.opts.url+="?"+params;
        }
        this.request=this.createXMLHttp(self.opts);

        if( self.opts.type=="jsonp"){
            this.handleJsonp();
            return;
        };
        if(self.opts["method"]=="get" || self.opts["type"]=="jsonp"){
            self.opts.url+="?"+params;
        }
        this.request.open(self.opts.method,self.opts.url,self.opts.async);
        this.setHeaders(this.request,self.opts);
        this.setCredentials(this.request,self.opts);
        this._successHandler=success || self.opts["success"] || function(res){console.log("not realize this Method")};
        this._errorHandlers=fail || self.opts["error"] || function(res){console.log("bit realize this Method")};

        var fn=function(resp){
                var o=self.opts;
                var type = o['type'] || resp && self.setType(resp.getResponseHeader('Content-Type')) // resp can be undefined in IE
                resp = (type !== 'jsonp') ? self.request : resp
                // use global data filter on response text
                //var filteredResponse = globalSetupOptions.dataFilter(resp.responseText, type)
                var r = resp.responseText;
                if (r) {
                    switch (type) {
                        case 'json':
                            try {
                                resp = window.JSON ? window.JSON.parse(r) : eval('(' + r + ')')
                            } catch (err) {
                                return self._errorHandlers(resp, 'Could not parse JSON in response', err)
                            }
                            break
                        case 'js':
                            resp = eval(r)
                            break
                        case 'html':
                            resp = r
                            break
                        case 'xml':
                            resp = resp.responseXML
                            && resp.responseXML.parseError // IE trololo
                            && resp.responseXML.parseError.errorCode
                            && resp.responseXML.parseError.reason
                                ? null
                                : resp.responseXML
                            break
                        case 'text':
                            resp=r;
                            break;
                    }
                }
                /*成功回调*/
                self._successHandler(resp)
                self.complete(resp)
            },
            err=function(resp, msg, t){
                self._errorHandlers(resp,msg,t);
            }

        if(window.XDomainRequest && http instanceof window.XDomainRequest){
            this.request.onload=fn;
        }else{
            this.request.onreadystatechange=this.handleReadyState(this,fn,err);
        }
        this.request.send(params);
    }

    Ajax.prototype.complete=function(res){
        log.console("ajax complete 完成调用");
    }

    Ajax.prototype.setType=function(header) {
        // json, javascript, text/plain, text/html, xml
        if (header.match('json')) return 'json'
        if (header.match('javascript')) return 'js'
        if (header.match('text')) return 'html'
        if (header.match('xml')) return 'xml'
    }

    Ajax.prototype.succeed=function(r) {

        var httpsRe = /^http/
            , protocolRe = /(^\w+):\/\//
            , twoHundo = /^(20\d|1223)$/ //http://stackoverflow.com/questions/10046972/msie-returns-status-code-of-1223-for-ajax-request
        var protocol = protocolRe.exec(r.url);
        protocol = (protocol && protocol[1]) || window.location.protocol;
        return httpsRe.test(protocol) ? twoHundo.test(r.request.status) : !!r.request.response;
    }

    Ajax.prototype.handleReadyState=function(r,fn,err){
        return function(){
            // use _aborted to mitigate against IE err c00c023f
            // (can't read props on aborted request objects)
            if (r._aborted) return error(r.request)
            if (r._timedOut) return error(r.request, 'Request is aborted: timeout')
            if (r.request && r.request["readyState"] == 4) {
                r.request.onreadystatechange = function(){};
                if(r.succeed(r))
                    fn(r.request)
                else
                    err(r.request)
            }
        }
    }

    Ajax.prototype.setHeaders=function(http, o) {
        var headers = o['headers'] || {}
            , h
        headers['Accept'] = headers['Accept']
            || defaults['accept'][o['type']]
            || defaults['accept']['*'];

        var isAFormData = typeof FormData === 'function' && (o['data'] instanceof FormData);

        !o["crossOrigin"] && !headers["X-Requested-With"] && (headers["X-Requested-With"]=defaults["requestedWith"]);
        !headers["Content-Type"] && !isAFormData && (headers["Content-Type"]= headers["Content-Type"] || defaults["Content-Type"]);

        for (h in headers)
            headers.hasOwnProperty(h) && 'setRequestHeader' in http && http.setRequestHeader(h, headers[h])
    }


    Ajax.prototype.setCredentials=function(http, o) {
        if (typeof o['withCredentials'] !== 'undefined' && typeof http.withCredentials !== 'undefined') {
            http.withCredentials = !!o['withCredentials']
        }
    }

    /*jsonp调用方式*/
    Ajax.prototype.handleJsonp=function(){
        console.log("this method no complete!");
    }

    /*创建XMLHttp请求*/
    Ajax.prototype.createXMLHttp=function(opts){
        // is it x-domain
        if (opts['crossOrigin'] === true) {
            var xhr = window.XMLHttpRequest ? new XMLHttpRequest() : null
            if (xhr && 'withCredentials' in xhr) {
                return xhr;
            } else if (window.XDomainRequest) {
                return new XDomainRequest();
            } else {
                throw new Error('Browser does not support cross-origin requests')
            }
        } else if (window.XMLHttpRequest) {
            return new XMLHttpRequest();
        } else {
            return new ActiveXObject('Microsoft.XMLHTTP')
        }
    }

    /*组装数据*/
    Ajax.prototype.toQueryString=function(o,trad){
        var prefix, i
            , traditional = trad || false
            , s = []
            , enc = encodeURIComponent
            , add = function (key, value) {
            // If value is a function, invoke it and return its value
            value = ('function' === typeof value) ? value() : (value == null ? '' : value)
            s[s.length] = enc(key) + '=' + enc(value)
        }
        // If an array was passed in, assume that it is an array of form elements.
        if (isArray(o)) {
            for (i = 0; o && i < o.length; i++) add(o[i]['name'], o[i]['value'])
        } else {
            // If traditional, encode the "old" way (the way 1.3.2 or older
            // did it), otherwise encode params recursively.
            for (prefix in o) {
                if (o.hasOwnProperty(prefix)) this.buildParams(prefix, o[prefix], traditional, add)
            }
        }

        // spaces should be + according to spec
        return s.join('&').replace(/%20/g, '+')
    }


    Ajax.prototype.buildParams=function(prefix, obj, traditional, add){
        var name, i, v
            , rbracket = /\[\]$/
        if (isArray(obj)) {
            // Serialize array item.
            for (i = 0; obj && i < obj.length; i++) {
                v = obj[i]
                if (traditional || rbracket.test(prefix)) {
                    // Treat each array item as a scalar.
                    add(prefix, v)
                } else {
                    this.buildParams(prefix + '[' + (typeof v === 'object' ? i : '') + ']', v, traditional, add)
                }
            }
        } else if (obj && obj.toString() === '[object Object]') {
            // Serialize object item.
            for (name in obj) {
                this.buildParams(prefix + '[' + name + ']', obj[name], traditional, add)
            }

        } else {
            // Serialize scalar item.
            add(prefix, obj)
        }
    }
    var ajax=new  Ajax();
    ajax.request(opts);
};

},{"../gum.ui/utils/extend":20,"../gum.ui/utils/isArray":21,"./gum.log":5}],3:[function(require,module,exports){
"use strict";
/*异步加载管理*/
(function(){

	function AsynLoader (moduleName, name) {
		this.moduleName = moduleName;
		this.name = name;
	};

	AsynLoader.prototype = {
		loadingQueue: {
			add: function (key) {
				return this[key] = (this[key]||0) + 1;
			}
		}
	};

	/*异步加载js文件，只负责加载不负责初始化，在加载的模块文件里面去执行它的初始化操作,支持2级目录查找*/
	AsynLoader.prototype.loadModule = function (callback) {
		var loadtimes, src;

		if (this.name) {
			// 当存在二级模块划分的时候，载入“modules/一级模块/二级模块/二级模块.js”
			loadtimes = this.loadingQueue.add(this.moduleName + "." + this.name);
			src = "modules/" + this.moduleName + "/" + this.name + "/" + this.name+".js";
		} else {
			// 只有一级模块的时候，载入“modules/一级模块/一级模块.js”
			loadtimes = this.loadingQueue.add(this.moduleName);
			src = "modules/" + this.moduleName + "/" + this.moduleName + ".js";
		}

		if (loadtimes >= 3) {
			throw "文件 " + src + "不存在,或则检查网络设置;"
		}

		loadtimes++;

		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = src;

		document.body.appendChild(script);

		script.addEventListener("load", function (evt) {
			if (evt.type === 'load') {
			 	callback();
			}
		}, false);
	};

	module.exports = AsynLoader;
})();
},{}],4:[function(require,module,exports){
"use strict";
var ajax=require("./gum.ajax");

module.exports=function syncAjax(url){
    ajax({
        url:url,
        method:"get",
        type:"text",
        success:loadCss

    });
    /**
     * 找出页面中，最旧的 style 标签，将新的 CSS 写入
     *
     * @param {string} css - 新的 CSS 源码
     */
    function loadCss (css) {
        // 找出页面里所有的 style 标签
        var map = {}, oldestTag, version, minVersion, maxVersion,
            attr = 'data-version', loader = 'data-css-loader',
            tags = document.querySelectorAll('style[' + loader + ']');

        if (tags.length === 0) {
            tags = [
                document.createElement('style'),
                document.createElement('style')
            ];

            tags.forEach(function (el) {
                el.setAttribute(loader, '');
                document.head.appendChild(el);
            });
        }

        // 遍历所有 style 标签，建立索引，并且找出最大、最小版本号
        [].forEach.call(tags, function (tag) {
            if (tag.getAttribute(loader) !== null) {
                // 获取当前标签的版本号，如果没有，默认为 0
                version = tag.getAttribute(attr) || '0';
                version = parseInt(version) || 0;

                // 每个版本号作为 KEY，值为一个 [] 数组
                map[version] ? map[version].push(tag) : (map[version] = [tag]);

                // 取得最大最小版本号
                (!minVersion || minVersion > version) && (minVersion = version);
                (!maxVersion || maxVersion < version) && (maxVersion = version);
            }
        });

        // 根据最小版本号，找出最老的 style 标签，并将其替换掉
        oldestTag = map[minVersion][0];
        oldestTag.innerHTML = css;

        // 将当前的标签版本号递增
        oldestTag.setAttribute(attr, maxVersion + 1);
    }
}

},{"./gum.ajax":2}],5:[function(require,module,exports){
"use strict";
var $ = require("../gum.ui/utils/$");
function Log(){
    var self=this;
    self.logPanel=$("#logPanel");
    self.logPanel.addClass("hide");
    var  showPanel=function(e){
        self.console("显示隐藏日志面板");
        self.logPanel.toggleClass("hide");
    }
    $("#logBtn").tap(showPanel);
}
Log.prototype={
    console:function(msg){
        var p=this.createElement("console").html(msg);
        this.logPanel.append(p);
    },
    warnning:function(msg){
        var p=this.createElement("warnning").html(msg);
        this.logPanel.append(p);
    },
    error:function(msg){
        var p=this.createElement("error").html(msg);
        this.logPanel.append(p);
    },
    createElement:function(level){
        var p=document.createElement("p");
        switch (level){
            case "console":
                break;
            case "warnning":
                p.style.color="blue";
                break;
            case "error":
                p.style.color="red";
                break;
        }
        return $(p);
    }
};
module.exports=new Log();
},{"../gum.ui/utils/$":17}],6:[function(require,module,exports){
/*模块*/
"use strict";
(function () {
    /*模块对象。*/

    var Router = require('../gum.ui/router/router'),
        aop = require('../gum.ui/utils/aop'),
        render = require('./gum.render'),
        bridge = require('../gum.ui/utils/bridge');


    var router = new Router();


    /*初始化模块*/
    function GumModule(controller, instance) {
        this.common = instance;
        // 改为所有 module 共享同一个 router 对象
        this._router = router; /* new Router() */
        this.init(controller, instance);
        //module.events=controller.moduleEvent || {initModule:function(){return arguments;},after:function(){ return arguments ;}}
    }

    GumModule.prototype = {
        init: function (controller, instance) {
            var thiso = this;
            this.instance = controller.common = instance;
            //controller.curRouter=this.router;
            controller.curModule = this;
            controller.curRouter=this._router;
            // 为处理器对象创建一个状态集，用于保存每个页面的内部状态
            controller.states = {};

            Object.keys(controller.routers).forEach(function (key) {
                //console.log(key);
                /*设置路由回调函数*/
                if (controller.name) {
                    thiso._router.addRouter(controller.moduleName + "/" + controller.name + "/" + key, controller, controller.routers[key]);
                } else {
                    thiso._router.addRouter(controller.moduleName + "/" + key, controller, controller.routers[key]);
                }
                
            });
            /*初始化controller事件*/
            controller.initControllerEvent && controller.initControllerEvent();
            this.events = controller.moduleEvent = {
                before: function () {
                    return arguments;
                }, after: function () {
                    return arguments;
                }
            };
            this[controller.name] = "loaded";
        },

        getRouter: function () {
            return this._router;
        },
        /*渲染模块*/
        render: function (path,curObj) {
            /*查找对应得router来处理当前请求*/
            if (!curObj || !curObj.curRouter) {
                console.log("can't find the router,please confirm you input router path is correct!");
                return
            }

            var funcName = curObj.curRouter.funcName;
            var curController = curObj.curRouter.curController;
            this.curRenderController = curController;
            // 从当前的处理器对象中，取出对应的“状态集”，将传到函数的最后一个参数。
            var states = curController.states;
            // 取出该方法对应的 state 状态集，如果没有则创建，状态集自带 clear() 方法。
            if (states) {
                states[funcName] = states[funcName] || {clear: function () {
                    var it = this;
                    for (var prop in it) {
                        if (it.hasOwnProperty(prop) && prop !== 'clear') {
                            delete it[prop];
                        }
                    }
                }};

                // 将状态集加入函数的最后一个参数, params 包括：路由中的参数列表、页面间传递的参数、页面内的状态集
                curObj.params && curObj.params.push(states[funcName]);
            }

            var method=curController.getMethod(funcName);
            if(typeof(method)!="function"){
                console.error("当前controller:" + controller.name + "方法：" +funcName +  "找不到，请检查当前controller和routers定义！！！");
                return;
            }
            var renderData = method.apply(curController, curObj.params);

            if (renderData) {
                /*当前渲染方法执行之前*/
                aop.fire('render_before', renderData, curController);

                this._render(renderData, curController);

                /*当前渲染方法执行之后*/
                aop.fire('render_after', renderData, curController);
                //aop.fire('page_in', path);
            }
        },
        _render: function (data, curController) {
            this.beforeRender(data);
            render.body.show(data, curController);
            this.endRender(data);

        },
        _renderHTML: function (html, opts, eventfunc) {
            if(html){
                this.beforeRender(opts);
            }
            render.body.showHtml(html, eventfunc, this.curRenderController);
            if (html) {
                this.endRender(opts);
            }
        },
        beforeRender:function(data){
            var toolerdata = {
                hasbar: "yes",
                leftBtn: "&#xe614;",       //如果使用字体就使用unicode
                rightBtn: "&#xe60e;",
                onLeftButtonClicked: "back",
                onRightButtonClicked: "leave"
            };
            toolerdata.title = data.title;
            data.eventID && bridge.js_talking_data(data.eventID, data.eventLabel);
            bridge.js_h5_toolbar(toolerdata);
        },
        endRender: function (data) {
            var thiso = this;

            // 处理“返回”按钮的 TOUCH 事件
            window.back = function () {
                // 如果历史记录已经为空，则直接关闭 WebView 窗口
                if (thiso._router.historyHash.length === 0) {
                    bridge.native_last();

                // 如果历史记录不为空，则跳转到上一个页面
                } else {
                    // 将最近一个页面地址弹出
                    var url = thiso._router.historyHash.pop();
                    if(typeof url === 'function'){
                        return url();
                    }
                    // 如果地址跨 HTML 页面，刚直接使用 location.href 跳转
                    if (/^[\w\/]+\.html#.+/i.test(url)) {
                        location.href = url;

                    // 如果地址为 HTML 页面内跳转，并且页面地址重复，则再次执行 back 方法
                    } else if(url === window.location.hash.slice(1)) {
                        window.back();

                    // 如果为页面内跳转，地址也不重复，则执行跳转到上一个页面的动作
                    } else {
                        thiso._router.navigate(url, true);
                    }
                }
            };

            // 处理“关闭”按钮的 TOUCH 事件
            window.leave = function () {
                thiso._router.historyHash = [];
                bridge.js_close_webview();
            };

            // 处理"APP由后台返回前台时"触发的事件
            window.resume = function () { };
        }
    };
    module.exports = GumModule;
})();

},{"../gum.ui/router/router":15,"../gum.ui/utils/aop":18,"../gum.ui/utils/bridge":19,"./gum.render":7}],7:[function(require,module,exports){
"use strict";
(function () {
    var $ = require("../gum.ui/utils/$");
    var platformUtil = require("../gum.ui/utils/platformUtil");
    var wrapId = 'wrapper';

    function render() {
        this.body = new fragment();
    }

    function fragment() {
    }


    fragment.prototype.show = function (data, controller) {
        var old = $('#' + wrapId);
        //if (window.noSwitchPageAni) { 已禁用动效
        //    window.noSwitchPageAni = false;
        addClass();
        old.html(data.html);
        runIt();
        setTimeout(function(){
            window.document.body.scrollTop=0;
        },10);
        /*}
         else {
         var reverse = data.reverseAni ? '-reverse' : '';
         old.attr('id', wrapId + '-current')[0].className = 'pswitch scale' + reverse;
         var newe = $('<section id="' + wrapId + '" class="pswitch slide' + reverse + '">' + (data.html || '') + '</section>');
         newe.appendTo('body');
         //支持$el
         data.$el && newe.append(data.$el);
         addClass();

         setTimeout(function () {
         old.remove();
         newe.removeClass();
         runIt()
         }, 300);
         }*/

        function runIt() {
            bindEvents(data.events);
            data.callback && data.callback.call(controller);
            if($("#loading")[0]){
                document.body.removeChild($("#loading")[0]);
            }
        }

        function bindEvents(evtObj) {
            evtObj && Object.keys(evtObj).forEach(function (key) {
                if (typeof key === "string") {
                    key = key.replace(/[ ]+/g, " ");
                    var keys = key.split(" ");
                    $(keys[1]).on(keys[0], data.events[key]);
                }
            });
        }

        function addClass() {
            //模块的class列表,支持通过data传递,或者写在controller上
            var list = data.classList || controller.classList;
            if (list) {
                var html = $("html");
                var cls = ['gum', 'rwd'];
                //ios增加专门的class
                if (platformUtil.ios) {
                    cls.push('ios');
                }

                // 判断系统是否支持 0.5px 单位，若支持，添加 hairlines 类
                if (window.devicePixelRatio && devicePixelRatio >= 2) {
                    var testElem = document.createElement('div');
                    testElem.style.border = '.5px solid transparent';
                    document.body.appendChild(testElem);
                    if (testElem.offsetHeight == 1) {
                        cls.push('hairlines');
                    }
                    document.body.removeChild(testElem);
                }

                //批量加入模块的class列表
                cls.push.apply(cls, list);
                html[0].className = cls.join(' ');
            }
        }
    };
    fragment.prototype.showHtml = function (html, eventFunc, controller) {
        this.show({
            callback: eventFunc,
            html: html,
            events: []
        }, controller);
    }
    module.exports = new render();
})();
},{"../gum.ui/utils/$":17,"../gum.ui/utils/platformUtil":22}],8:[function(require,module,exports){
'use strict';

function Tools () {
    this.extend();
}

Tools.prototype.extend = function () {
    Number.prototype.toCurrency = function() {
        return this.toFixed(2).replace(/(\d)(?=(\d{3})+\.)/g, '$1,');
    }

    /** 
     * 将字符串转换成固定位数的形式，如果字符串不是数字，则原样返回
     * 
     * @param {[number]} length - 保留小数点后的位数，默认为两位
     * @returns {string} 返回值
     */
    String.prototype.toFixed = function (length) {
        var f = parseFloat(this.valueOf());
        length = length || 2;
        return !isNaN(f) ? f.toFixed(length) : this.valueOf();
    }

    String.prototype.encode = function () {
        var encoded = encodeURIComponent(this);
        encoded = encoded.replace(/\*/g, "%2A");
        encoded = encoded.replace(/\_/g, "%5F");
        encoded = encoded.replace(/\!/g, "%21");
        encoded = encoded.replace(/\./g, "%2E");
        encoded = encoded.replace(/\~/g, "%7E");
        encoded = encoded.replace(/\(/g, "%28");
        encoded = encoded.replace(/\)/g, "%29");
        encoded = encoded.replace(/\-/g, "%2D");
        encoded = encoded.replace(/\'/g, "%27");
        return encoded;
    }

    String.prototype.toCurrency = function() {
        var number = parseFloat(this);
        return isNaN(number) ? '' : number.toCurrency();
    }

    String.prototype.trim=function(){
        return this.replace(/(^\s*)|(\s*$)/g, "");
    }

    String.prototype.last = function (n) {
        var str = this;
        return str.substr(str.length - 4);
    }

    /**
     * 将字符串转换为 Date 对象，若转换失败，返回 NaN
     * 
     * @returns {Date|NaN} 返回 Date 对象，或 NaN 。
     */
    String.prototype.toDate = function () {
        // 判断日期格式是否为 2000-1-1 0:0:0
        var v1 = /^\d{4}-\d{1,2}-\d{1,2}([\sT]\d{1,2}:\d{1,2}(:\d{1,2})?)?$/;
        // 从字符中选取月、日、时、分、秒字段
        var v2 = /[^\d]\d{1,2}/g;
        // 为了兼容 iOS 系统，将日期时间中的空格，替换为大写字母“T”
        var s = this.replace(' ', 'T');
        
        return v1.test(s) ? new Date(s.replace(v2, function (sec, pos, all) {
            return sec.length === 2 ? sec[0] + '0' + sec[1] : sec;
        })) : NaN;
    }

    Date.prototype.addDays = function (days)
    {
        var dat = new Date(this.valueOf());
        dat.setDate(dat.getDate() + days);
        return dat;
    }

    Date.prototype.toFormatString = function (format) {
        var x = this, y = format;
        var z = {
            M: x.getMonth() + 1,
            d: x.getDate(),
            h: x.getHours(),
            m: x.getMinutes(),
            s: x.getSeconds()
        };

        y = y.replace(/(M+|d+|h+|m+|s+)/g, function(v) {
            return ((v.length > 1 ? "0" : "") + eval('z.' + v.slice(-1))).slice(-2)
        });

        return y.replace(/(y+)/g, function(v) {
            return x.getFullYear().toString().slice(-v.length)
        });
    }

    Date.prototype.getTotalDays = function (date) {
        var ms1 = this.getTime(),
		    ms2 = date.getTime();

		return Math.floor((ms1 - ms2) / 86400000);
    }
}

module.exports = new Tools();
},{}],9:[function(require,module,exports){
"user strict"
var common,
	extend=require("../../gum.ui/utils/extend"),
    Model=require("./gum.model");

setTimeout(function(){
	common=require("common");
});


function gumController(options){
    this._routers={
        login: "simulogin"
    }
    this.model=new Model();
	extend(this,options);
}

gumController.prototype.simulogin=function () {
    var _this = this;
    _this.model.simulateLogin(function () {
        _this.curRouter.navigate(_this.moduleName + "/" + _this.name + "/index", true);
    });
};

gumController.prototype.initController = function() {
	
};

gumController.prototype.getMethod=function(funcName){
    if(!this.hasMethod(funcName)){
       this[funcName]=function(){
            console.log("没找到"+funcName+"对应的view");
        } 
    }  
    return this[funcName];
},
gumController.prototype.hasMethod=function(funcName){
	return typeof(this[funcName])=="function"?true:false;
}
module.exports=gumController;
},{"../../gum.ui/utils/extend":20,"./gum.model":10,"common":"common"}],10:[function(require,module,exports){
"user stirck"

var extend=require("../../gum.ui/utils/extend"),
    getUserFormNative=require("../../public/cordova/js_get_user_info_to_h5");

function GumModel(){
	this.baseurls={
		"login":"/egis-scms-app/user/userVirLogin.dox",
        getUser:"/egis-scms-app/app/user/checkUserLogin.do"
	}
}

GumModel.prototype.simulateLogin = function (suc) {

    //  自建 US00000000000007   一账通 UT00000000000001  自建未验证US00000000000011
    this.ajax({url: this.baseurls["login"], data: {userId: "US00000000000147"}}, function () {
        suc();
    }, function (e) {
        console.log(e);
    });
};

GumModel.prototype.getUser = function (callback) {
    var thiso = this;
    this.ajax({
        url: this.baseurls["getUser"], data: {clientType:isApp?"01":"02"}
    }, function (res) {
        res = extend({}, res);
        callback(res);
    }, function (e) {
        callback({});
        console.log(e);
    })
}

module.exports=GumModel;
},{"../../gum.ui/utils/extend":20,"../../public/cordova/js_get_user_info_to_h5":24}],11:[function(require,module,exports){
/*
 ajax方法
 url不转换,可供2016.3之后的功能用
 */
"use strict";
var reqwest = require('../../gum.app/gum.ajax');
var Mask = new (require('./mask'));
var $=require("../utils/$");
var alerts = require('../alerts/pops');

/*
 * @param configs  --json数据，ajax请求需要参数以及传递到后台参数.其中的url是直接的地址,不转换
 * @param succ	--成功回调函数，带一个参数，参数为后台返回值
 * @param error --失败回调函数。带一个参数，参数为错误信息
 * @param disc  --succ,error方法的this对象
 */
function ajax(configs, succ, error, disc) {
    /*合并Ajax请求参数，用传递过来的值覆盖默认值，默认为post请求，返回数据格式为JSON,异步请求。*/
    // if(!$.netWork.netWorkOn() && this.ajax){
    //     var ajax=this.ajax;
    //     var curThis=this;
    //     Alert.alert("网络可能存在问题,请确认网络连接后点击确定继续.",function(){
    //         ajax.call(curThis,configs,succ,error,disc);
    //     },"提示",1,{"position":"static"});
    //     return;
    // }
    var options = {method: 'post', type: "json", crossOrigin: true, timeout: 60000};
    for (var key in configs) {
        options[key] = configs[key]
    }

    if (!options.data) {
        options.data = {};
    }
    if(!options.noMask){
        Mask.startMask(options.timeout);
    }
    
    options.success = function (res) {
        Mask.endMask();
        res.raw = options.raw;
        m_succ(res, succ, error, disc, options.noMask,options.noToast);
    };
    options.error = m_error;
    try {
        reqwest(options);
    } catch (e) {
        m_error(e);
    }

    function m_error(res) {
        Mask.endMask();
        //默认的错误处理,提示开发人员
        console.error(res);
        error && error.call(disc, res);
    }
}
ajax.mask = Mask;

/**
 * 全局成功回调函数
 * @function
 * @name succ
 * @param res  --Ajax调用
 * @param succ --自定义成功回调函数
 * @param error --自定义错误回调
 * @param disc --调用该方法的controller本身
 */
function m_succ(res, succ, error, disc, noMask,noToast) {
    if (res.raw) {
        succ && succ.call(disc, res);
        return;
    }

    var returnFlag = res.returnFlag;
    var returnMsg = res.returnMsg;
    if (returnFlag == "200" || returnFlag == "60000" || returnFlag === undefined) {
        succ && succ.call(disc, res);
    } else if (returnFlag == "50001" && window.cordova) {
        //for dev
        if (localStorage.getItem("isDevelope") === 'Y') {
            if (noMask) {
                window.GUM.toast.showToast(returnFlag + returnMsg);
                return
            }
            alerts.alert(returnFlag + returnMsg, function () {}, '贴心小提示');
        } else {
            // 跳转到登录界面
            cordova.exec(null, null, "PAJsBridge", "js_login", [{
                currentUrl: location.href
            }]);
        }
    }  else {
        if (noMask) {
            window.GUM.toast.showToast(returnMsg);
            return
        }
        if (noToast) {
            error && error.call(disc, returnMsg, returnFlag);
        } else {
            alerts.alert(returnMsg, function () {
                error && error.call(disc, returnMsg, returnFlag);
            }, '贴心小提示');
        }

    }

};

//for虚拟登录
if (window._pingan_$) _pingan_$.ajax = ajax;

module.exports = ajax;
},{"../../gum.app/gum.ajax":2,"../alerts/pops":13,"../utils/$":17,"./mask":12}],12:[function(require,module,exports){
"use strict";
var Toast=require("../toast/toast");
/**
 * 蒙版构造函数
 * @constructor
*/
var toast= new Toast();

function Mask(){
	
}

Mask.prototype={
	index:0,
	/**
	 * 打开蒙版
 	 * @function
	 * @name startMask
 	*/
	startMask:function(timeOut){
		if( Mask.prototype.index === 0){
			//console.log("开启蒙版");
			toast.showMasking(timeOut); // 开启蒙板
			toast.showLoadingToast("正在处理，请稍候..."); // 开启菊花
		}
		Mask.prototype.index++;
	},
	/**
	 * 关闭蒙版
 	 * @function
	 * @name endMask
 	 */
	endMask:function(){
		if(Mask.prototype.index<=1){
			toast.hideMasking();
			toast.hideLoadingToast();
			Mask.prototype.index = 1;
			//console.log("关闭蒙版");
		}
		Mask.prototype.index--;
	}
}
module.exports = Mask;
},{"../toast/toast":16}],13:[function(require,module,exports){
/*
 简化的alerts,体积更小
 url的hash变化后可自动关闭
 可供2016.3之后的功能用
 */
"use strict";
var alertTpl = require('./template/alert.tpl');
//var aop = require('../utils/aop');
var $ = require('../utils/$');

var pops = {
    hide: function () {
        $(window).off('hashchange', pops.hide);
        setTimeout(function () {
            $('#gum-alert-ios').remove();
        },200)
    },
    /*
     弹出自适应高度和位置的Html内容框
     @htmlBody:正文html内容
     @param ops 所以字段都可选.形式为:{
     title:标题,
     fnOK:确定后执行,
     fnCancel:取消时执行,
     hideCancel:隐藏取消按钮
     ltext:左按钮文本
     rtext:右按钮文本
     }
     */
    showHtml: function (htmlBody, ops) {
        ops = ops || {};
        ops.body = htmlBody;
        document.body.insertAdjacentHTML('beforeend', alertTpl(ops));
        //切换页面后自动关闭
        $(window).one('hashchange', pops.hide);

        $('#btnCancel').tap(function (e) {
            pops.hide();
            ops.fnCancel && ops.fnCancel(e);
        });
        $('#btnOK').tap(function (e) {
            pops.hide();
            ops.fnOK && ops.fnOK(e);
        });
    },
    alert: function (msg, fnOK, title) {
        this.showHtml(msg, {fnOK: fnOK, title: title, hideCancel: 1});
    },
    confirm: function (msg, fnOK, fnCancel, title) {
        this.showHtml(msg, {fnOK: fnOK, fnCancel: fnCancel, title: title});
    }
};

module.exports = pops;


},{"../utils/$":17,"./template/alert.tpl":14}],14:[function(require,module,exports){
/*TMODJS:{"version":1,"md5":"ed6a87964de0dd7673bd0c6a17bed729"}*/
var template=require("template");module.exports=template("alert.tpl",function(a){"use strict";var b=this,c=(b.$helpers,b.$string),d=a.title,e=a.body,f=a.hideCancel,g=a.ltext,h=a.rtext,i="";return i+='<div id="gum-alert-ios" class="open gum-alert"> <div id="gum-alert-container" class="gum-alert-container"> <div class="',i+=c(d?"gum-alert-title img-border-btm":""),i+='"> ',i+=c(d),i+=' </div> <div class="gum-alert-message" id="alert-message">',i+=c(e),i+='</div> <div class="gum-alert-footer"> ',f||(i+=' <button id="btnCancel" class="gum-btn-negative cancel" ontouchstart="">',i+=c(g||"\u53d6\u6d88"),i+="</button> "),i+=' <button id="btnOK" class="gum-btn-positive default" ontouchstart="">',i+=c(h||"\u786e\u5b9a"),i+="</button> </div> </div> </div> ",new String(i)});
},{"template":25}],15:[function(require,module,exports){
"use strict";

var preCurUrl;

/**
 * 前端路由，创造 Router 对象，并完成初始化操作
 * @class
 * @classdesc 该类对象用于处理前端页面跳转，监听 HASH 变化
 */
function Router() {
    this.routes = [];
    this.context;
    
    // 如果启动时，发现是新框架。恢复之前记入到 localStorage 中的历史记录
    if (!window.PAWA) {
        var history = localStorage.getItem(this.HISTORY_KEY);
        if (history) {
            this.historyHash.length = 0;

            JSON.parse(history).forEach((function (i) {
                this.historyHash.push(i);
            }).bind(this));
            
            localStorage.removeItem(this.HISTORY_KEY);
        }
    }
}

Router.prototype = {
    PATH_REPLACER : "([^\/\\?]+)",
    PATH_NAME_MATCHER : /:([\w\d]+)/g,
    PATH_EVERY_MATCHER : /\/\*(?!\*)/,
    PATH_EVERY_REPLACER : "\/([^\/\\?]+)",
    PATH_EVERY_GLOBAL_MATCHER : /\*{2}/,
    PATH_EVERY_GLOBAL_REPLACER : "(.*?)\\??",
    LEADING_BACKSLASHES_MATCH : /\/*$/,
    HISTORY_KEY: 'gum_history',
    EX_HISTORY_KEY: 'pama_history',
    root         : '/',
    historyHash:[],

    /**
     * 添加路由规则
     * 
     * @param {string} path - 路由地址
     * @param {function} callback - 回调函数
     * @param {Object} curController - 当前路由对应的 controller 对象
     * @param {string} funcName - 回调函数名称
     */
    add: function (path, callback, curController, funcName) {

        var match,
            paramNames = [];

        if('string' == typeof path) {
            // 去除最后的斜杠
            path = path.replace(this.LEADING_BACKSLASHES_MATCH,'');

            // 查看是否有动态参数,格式为 :
            while(( match = this.PATH_NAME_MATCHER.exec(path)) !== null) {
                paramNames.push(match[1]);
            }

            path = new RegExp("\\b"+(path
                    .replace(this.PATH_NAME_MATCHER, this.PATH_REPLACER)
                    .replace(this.PATH_EVERY_MATCHER, this.PATH_EVERY_REPLACER)
                    .replace(this.PATH_EVERY_GLOBAL_MATCHER, this.PATH_EVERY_GLOBAL_REPLACER)) + "\\b(?:\\?.+)?$", 'i');
        }
        var _this=this;
        var route=(function(){
            for(var p in _this.routes){
                if(_this.routes[p].path.toString()===path.toString()){
                    _this.routes[p].path=path;
                    _this.routes[p].funcName=funcName;
                    _this.routes[p].paramNames=paramNames;
                    _this.routes[p].routeAction=callback;
                    _this.routes[p].module=this;
                    _this.routes[p].curController=curController;
                    return _this.routes[p];
                }
            }
        })();
        if(!route){
            this.routes.push({
                'path' : path,
                'funcName':funcName,
                'paramNames' : paramNames,
                'routeAction' : callback,
                'module':this,
                'curController':curController
            });
        }
        return this;
    },

    /**
     * 添加路由规则（简化）
     * 
     * @param {string} path - 路由地址
     * @param {Object} controller - 当前路由对应的 controller 对象
     * @param {string} funcName - 回调函数名称
     */
    addRouter: function (path, controller, funcName) {
        this.add(path, controller[funcName], controller, funcName);
    },

    /**
     * 查找匹配的路由规则，用于处理 onhashchange 事件（此方法位核心方法）
     * 
     * @param {string} currentUrl - 当前 HASH 地址
     */
    check: function (currentUrl) {

        var currentRoute, // 当前路由
            urlToTest,    // 测试路由
            match,        // 通配符
            params,       // 动态路由参数
            paramsArray;  // 动态路由参数

        if (currentUrl.length === 0) {
            return true;
        }

        /*防止两次连续导航*/
        //if(this.preCurUrl === currentUrl)return;
        //把当前路由保存,留下次判断使用
        if(typeof(PAWA) !=="undefined"){
            if(preCurUrl && preCurUrl.indexOf("gum/familyrisk") > -1){
                PAWA.App.preHash(preCurUrl.replace("gum/familyrisk/",""));
            }
        }

        // 将当前页面地址记入 preCurUrl 变量，留待下次跳转之前使用
        preCurUrl = currentUrl;
        
        // 转变当前url
        currentUrl = currentUrl.replace(this.LEADING_BACKSLASHES_MATCH,'');

        // 删除?后参数,获得路由url,访问地址默认增加 #gum/模块js名称/模块路由地址
        var hash=(currentUrl.split('?'))[0].replace(this.LEADING_BACKSLASHES_MATCH,'');
        urlToTest = hash;
        //pawa存在。新老框架结合
        for (var p in this.routes) {
            // 取得当前url
            currentRoute = this.routes[p];

            // 检查url是否正确
            if (currentRoute.path.test(urlToTest)) {
                paramsArray = [];
                params = {};
                match  = urlToTest.match(currentRoute.path);
                for (var i = 0,len = currentRoute.paramNames.length; i < len; i++) {
                    params[currentRoute.paramNames[i]] = match[i + 1];
                    paramsArray.push(match[i + 1]);
                }
                // 执行路由的回调函数
                currentRoute.routeAction.call(currentRoute.curController,params);
                break;
            }

        }

        return this;
    },

    /**
     * 取出对应的路由规则
     * 
     * @param {string} currentUrl - 请求的 HASH 地址
     * @returns {Object} - 对应的路由规则，包括：curRouter 和 params 两个字段
     */
    findRouter: function (currentUrl) {
        var currentRoute, // 当前路由
            urlToTest,    // 测试路由
            match,        // 通配符
            paramArray,
            params;       // 动态路由参数

        /*如果要查的UR为空或者和上次的URL是同一个返回*/
        if (currentUrl.length === 0 || preCurUrl === currentUrl) return;
        this.preCurUrl=currentUrl;
        // 转变当前url
        currentUrl = currentUrl.replace(this.LEADING_BACKSLASHES_MATCH,'');
        // 删除?后参数,获得路由url,访问地址默认增加 #gum/模块js名称/模块路由地址
        var hash=(currentUrl.split('?'))[0].replace(this.LEADING_BACKSLASHES_MATCH,'');
        // 修改 防止找不到currentRoute，使用最后一个currentRoute
        for (var p in this.routes) {
            // 取得当前url
            var curRouter = this.routes[p];
            // 检查url是否正确
            if (curRouter.path.test(hash)) {
                currentRoute = curRouter;
                params = {};
                paramArray=[];
                match = hash.match(currentRoute.path);
                for (var i = 0,len = currentRoute.paramNames.length; i < len; i++) {
                    params[currentRoute.paramNames[i]] = match[i + 1];
                    paramArray.push(match[i + 1]);
                }
                break;
            }
        }
        // 如果匹配到路由，将上下文参数加入到 controller 对应方法的最后一个参数
        paramArray && paramArray.push(this.context);

        return {curRouter: currentRoute, params: paramArray};
    },

    /**
     * 启动浏览器 onhashchange 监听
     */
    listen: function () {
        // 防呆
        var self = this;

        //回调函数
        var func = function(){
            // 取得变化后的路径
            var hashPath = location.hash.slice(1) || '/';

            self.check(hashPath);
        };

        // 执行这个方法
        window.onhashchange = func;

        return this;
    },

    /**
     * 取出前一个 HASH 地址
     * 
     * @returns {string} - 前一个 HASH 地址
     */
    getPreHash: function () {
        return preCurUrl;
    },

    /**
     * TODO: 用途暂不明确
     * 
     * @param {string} path - URL地址
     */
    _router: function (path) {
        if(typeof(PAWA) !=="undefined"){
            this.navigate(path);
        }else{
            this.check(path);
        }
    },

    /**
     * 跳转到对应页面地址（页面内跳转）
     * 
     * @param {string} path - 将要跳转的页面地址
     * @param {boolean} [noHistory] - 避免将当页面地址记入历史，缺省即为记入历史
     * @param {Object} [context] - 传到下一个页面的参数
     * @returns {Object} - 路由对象，如果是老框架，返回 undefined 
     */
    navigate: function (path, noHistory, context) {
        // 在页面跳转时，将当前页面的键盘隐藏掉
        document.activeElement 
        && document.activeElement.blur 
        && document.activeElement.blur();
        
        // 判断运行环境中的框架
        if (typeof PAWA !== "undefined") {
            PAWA.Router.navigate(path, true);
            return;
        } else {
            // 如果新框架，则执行以下操作：
            // 将符合条件的页面地址，记入历史记录
            if (this.preCurUrl && this.preCurUrl !== path && !noHistory) {
                this.historyHash.push(this.preCurUrl);
            }

            // 将参数暂存到 context 变量中
            this.context = context;

            // 改变浏览器 HASH 地址，触发 onhashchange 事件
            location.hash = path || '';
            return this;
        }        
    },

    /**
     * 跨新老框架跳转（页面之间跳转）
     * 
     * @param {string} path - 跳转地址，例如：index.html#xxxx
     * @param {boolean} [noHistory] - 避免将当页面地址记入历史，缺省即为记入历史
     * @returns - 路由对象
     */
    across: function (path, noHistory) {
        var PAWA = window.PAWA,
            gumHistory = window.gumHistory, 
            hash, history;

        // 如果不在 index.html 和 client.html 之间切换，则直接执行 navigate 方法
        if (!/^[\w\/]+\.html#.+/i.test(path)) {
            return this.navigate(path, noHistory);
        }

        /**
         * 将内存中的历史记录序列化保存到 localStorage 里
         * 
         * @param {string} key - 在 localStorage 中的 key 值；
         * @param {string[]} history - 内存中的 history 对象。
         */
        var SaveHistory = function (key, history) {
            localStorage.setItem(key, JSON.stringify(history));
        }

        /**
         * 读取 localStorage 中的历史记录
         * 
         * @param {string} key - 在 localStorage 中的 key 值；
         * @returns {string[]} 返回历史记录的数组
         */
        var LoadHistory = function (key) {
            return JSON.parse(localStorage.getItem(key) || '[]');
        }

        /**
         * 补全 HASH 地址前面的 HTML 文件名称
         * 
         * @param {string} locationHash - 当前的 HASH 地址，可能含有 index.html / client.html 前缀，也可能没有；
         * @param {string} prefix - HTML 文件名称，若 locationHash 不含有，则补全；
         * @returns {string} 包括 HTML 文件的完整 HASH 地址
         */
        var Prefix = function (locationHash, prefix) {
            return (/^[\w\/]+\.html#.+/i.test(locationHash)) ? locationHash : prefix + locationHash;
        }

        // 执行新老框架之间的跳转，并保存历史记录，总体步骤如下：
        // 0. 假设跳转方向为：A -> B；
        // 1. 如果 noHistory 不为 TRUE，将当前页面地址，保存于A的历史记录中；
        // 2. 将 A 的历史记录中最后一条记录 hash 弹出；
        // 3. 将 A 剩余的历史记录保存于 localStorage 中；
        // 4. 从 localStorage 取出 B 的历史记录；
        // 5. 将 hash 加入 B 的历史记录，并且保存到 localStorage 里；
        // 6. 使用 location.href 直接跳转到 B 的目标页面；
        // 7. 当 B 的页面第一次被加载时，从 localStorage 中取出历史记录加载到内存里，进行后续流程。
        //    参见：router.js:19，gumHistory.js:78

        if (PAWA) {
            // index.html --> client.html

            // 步骤 1 
            // 因为工资宝基于 AOP 的 page_out 事件，已经将该页面地址记入历史，因此，此步骤省略；

            // 步骤 2
            gumHistory && (hash = gumHistory.pop(1));

            // 步骤 3
            gumHistory && SaveHistory(this.EX_HISTORY_KEY, gumHistory.list);

            // 步骤 4
            history = LoadHistory(this.HISTORY_KEY);

            // 步骤 5
            hash && history.push(Prefix(hash, 'index.html'));
            SaveHistory(this.HISTORY_KEY, history);

            // 步骤 6
            location.href = path;

        } else {
            // client.html --> index.html

            // 步骤 1
            this.preCurUrl && this.preCurUrl !== path 
            && !noHistory && this.historyHash.push(this.preCurUrl);

            // 步骤 2
            hash = this.historyHash.pop();

            // 步骤 3
            SaveHistory(this.HISTORY_KEY, this.historyHash);

            // 步骤 4
            history = LoadHistory(this.EX_HISTORY_KEY);

            // 步骤 5
            hash && history.push(Prefix(hash, 'client.html#'));
            SaveHistory(this.EX_HISTORY_KEY, history);
        
            // 步骤 6
            location.href = path;
        }

        return this;
    }
};

/**
 * Router 类型
 * 
 * @module Router
 * @see {@link Router}
 */
module.exports = Router;
},{}],16:[function(require,module,exports){
"use strict";

/**
 * 自动消失提示框
 * @constructor
 */
function Toast() {

}

Toast.prototype = {
    /**
     * 自动消失提示框
     * @function
     * @name showToast
     * @param {string} message - 提示框文字内容
     * @param {int} timeOut - 关闭时间毫秒,选填默认2000
     * @param id 元素id
     */
    showToast: function (message, timeOut, id) {
        //如果已有提示框，则不再新建
        if (document.querySelector('body>div.toast-container')) {
            return;
        }
        timeOut = timeOut || 2000;

        // 定义一个提示框div
        var toast = document.createElement('div');
        if (id) toast.id = id;
        // 定义css
        toast.classList.add('toast-container');

        // 添加文字信息
        toast.innerHTML = '<div class="toast-message">' + message + '</div>';

        // 添加到窗体内
        document.body.appendChild(toast);

        // 自动关闭
        if (timeOut != -1) {
            this.timeId = setTimeout(this.hideToast.bind(this), timeOut);
        }
    },
    /**
     * 带菊花的自动消失提示框
     * @function
     * @name showLoadingToast
     * @param {string} message - 提示框文字内容
     * @param {int} timeout - 关闭时间毫秒,选填默认2000
     */
    showLoadingToast: function (message, timeOut) {
        if(timeOut===undefined) timeOut = -1;
        message = "<span class='spinner-white'></span>&nbsp;&nbsp;" + message;
        this.showToast(message, timeOut, 'loading');
    },
    hideToast: function () {
        // 取得loading元素
        var div = document.querySelector('body>div.toast-container');
        if (div) {
            // 删除loading元素
            document.body.removeChild(div);
        }
        clearTimeout(this.timeId);
    },
    hideLoadingToast: function () {
        this.hideToast();
    },
    /**
     * 开启蒙板
     */
    showMasking: function (timeOut, maskId) {
        maskId = maskId || 'divMasking';
        if(document.getElementById(maskId)){
            return;
        }
        timeOut = timeOut || 3000;
        // 先定义蒙版
        var divMasking = document.createElement('div');
        // 设置蒙版id
        divMasking.id = maskId;
        // 定义蒙版css
        divMasking.classList.add('toast-masking');
        // 添加蒙版元素
        document.body.appendChild(divMasking);
        // 自动关闭
        if (timeOut != -1) {
            this.maskTimeId = setTimeout(this.hideMasking.bind(this), timeOut);
        }
    },
    showMaskingManually: function (maskId) {
        this.showMasking(-1,maskId);
    },
    /**
     * 销毁蒙板
     */
    hideMasking: function (maskId) {
        maskId = maskId || 'divMasking';
        var masking = document.getElementById(maskId);
        if (masking) {
            document.body.removeChild(masking);
        }
        clearTimeout(this.maskTimeId);
    }
};

/** @module Tip */
module.exports = Toast;

},{}],17:[function(require,module,exports){
/*
 事件管理和DOM操作
 */
var $ = window._pingan_$;//实现全局唯一,暂时用这个恶心的方式
if (!$) $ = window._pingan_$ = (function () {
    "use strict";
    /*cache结构为：
     {元素键值1:{click:[callback1,callback2],touchend:[{fn:fn}]}
     ,元素键值2:{click:[{fn:fn1},{fn:fn2}...]}
     ...}
     */
    var cache = {};
    var tap = 'mytap', //避免与zepto的tap冲突,待不用zepto时可以去除
        tapDelay = 300, tapMaxMove = 15; //能触发tap的最大时间间隔和最大位移
    /**
     * 生成Query包装对象
     * @param q 可为选择器、html字符串、DOM元素、Query对象、函数。
     *          为选择器时,调用querySelectorAll方法获取元素
     *          为html字符串时(根据首字符是否为"<"判断),会生成内存DOM节点元素,并以所有根节点包装作为返回值
     *          为DOM元素时,直接包装
     *          为Query对象时,直接返回本身
     *          为函数时,等同于domready
     * @param c 选择器的上下文DOM元素
     */
    var $ = function (q, c) {
        if (typeof q == 'function')
            ready(q);
        else if (q instanceof Query)
            return q;
        else
            return new Query(q, c);
    };

    /*
     DomReady实现
     */
    function ready(callback) {
        if (/complete|loaded|interactive/.test(document.readyState))
            callback()
        else
            document.addEventListener('DOMContentLoaded', onload, false);

        function onload() {
            document.removeEventListener('DOMContentLoaded', onload);
            callback()
        }
    }

    /**
     * 读取缓存，将元素和事件关联起来
     * @param el DOM元素
     * @param evt 事件名称
     * @returns {Array} 事件handler列表
     */
    function data(el, evt) {
        var key = getKey(el);
        var elEvts = cache[key] || (cache[key] = {});
        return elEvts[evt] || (elEvts[evt] = []);

        function getKey(el) {
            if (el.getAttribute) {
                var key = el.getAttribute('__qkey');
                if (!key) {
                    el.setAttribute('__qkey', key = Math.random().toString(32));
                }
            } else {
                var key = el.__qkey;
                if (!key) {
                    el.__qkey = key = Math.random();
                }
            }
            return key;
        }
    }

    /**
     * 遍历对象属性或数组
     * @param o Object类型或Array类型
     * @param fn 回调函数.
     *           对于Array,fn形式为function(arrItem){}
     *           对于Object,fn形式为function(propertyKey, propertyValue){}
     */
    $.each = function (o, fn) {
        if (o instanceof Array)
            o.forEach(fn);
        else
            for (var k in o)
                fn(k, o[k])
    }
    /*
     清除非永久性的事件绑定
     通过$(selector).on方法第3个参数,来指定是否为永久性事件绑定
     */
    $.clear = function () {
        $.each(cache, function (key, elEvts) {
            $.each(elEvts, function (evt, cbs) {
                cbs.forEach(function (cb, i) {
                    //移除非永久的回调
                    if (!cb.forEver) cbs.splice(i, 1)
                });
                if (cbs.length == 0) delete elEvts[evt]
            })
            if (Object.keys(elEvts).length == 0)delete cache[key]
        })
    };
    $.event = {
        on: function (qObj, evts, fn, forEver, once, selector) {
            if (once) once = function () {
                $.event.off(qObj, evts, fn)
            }
            tryEach(qObj, function (e) {
                evts.split(',').forEach(function (evt) {
                    evt == 'tap' && (evt = tap);
                    var cb = {fn: fn, forEver: !!forEver, _fn: once};
                    var l = data(e, evt);
                    //只需绑一次事件
                    if (l.length == 0 && e.addEventListener) e.addEventListener(evt, $.event.dispatch, false);
                    evt == tap && e.setAttribute('data-tappable', selector || '');
                    evt == tap && e.setAttribute('ontouchstart', '');
                    l.push(cb);
                })
            })
        },
        off: function (qObj, evts, fn) {
            tryEach(qObj, function (e) {
                evts.split(',').forEach(function (evt) {
                    evt == 'tap' && (evt = tap);
                    var cbs = data(e, evt);
                    if (fn === undefined) {
                        cbs.splice(0, cbs.length);//clear
                    }
                    else {
                        for (var i = 0; i < cbs.length; i++) {
                            //是同一个函数,或者函数的globalId相同,即可移除
                            if (cbs[i].fn == fn || (fn.globalId && fn.globalId == cbs[i].fn.globalId)) {
                                cbs.splice(i, 1);//remove one
                                i--;
                            }
                        }
                    }
                    if (cbs.length == 0) {
                        e.removeEventListener && e.removeEventListener(evt, $.event.dispatch);
                    }
                });
            });
        },
        /**
         * 所有绑定事件的统一代理方法
         */
        dispatch: function (evt) {
            var cbs = data(this, evt.type).slice(0)//复制,避免还没轮执行到就被移除
                , el = this, args = [evt];
            evt.args && args.push.apply(args, evt.args);
            cbs.forEach(function (cb) {
                cb.fn && cb.fn.apply(el, args);
                //为实现one()的内部处理
                cb._fn && cb._fn();
            })
        },
        /*
         构建自定义事件
         */
        create: function (evt, noBubble) {
            evt == 'tap' && (evt = tap);
            var eType = //"click,mousedown,mouseup,mousemove".indexOf(evt) > -1 ? "MouseEvents" :
                "Events";
            var event = document.createEvent(eType);
            event.initEvent(evt, !noBubble, true);
            return event
        }
    };


    $.netWork=(function(){
      return {
          netWorkOn:function(){
              return window.navigator.onLine;
          }
      }
    })();

    /**
     * 包装对象
     * @param selector 选择器
     *                 如果以“<”开头，作为html构建内存节点；
     *                 否则作为选择器，querySelectorAll的参数
     * @param context 选择器的上下文对象
     */
    function Query(selector, context) {
        this.es = [], this.length = 0;
        var es = typeof selector == 'string'
            ? (selector.substr(0, 1) == '<' ? buildByFragment(selector) : select(selector, context))
            : (selector ? [selector] : []);
        setItems(this, es)
    }

    /*以元素数组来构建Query对象*/
    function arrQuery(es) {
        var r = $();
        setItems(r, es);
        return r;
    }

    /**
     * 选择器
     */
    function select(selector, context) {
        context = context || document;
        return context.querySelectorAll(selector);
    }

    /*
     * 传入html，构建为内存对象
     */
    function buildByFragment(html) {
        var div = document.createElement('div');
        div.innerHTML = html;
        var nodes = toArr(div.children);
        div.innerHTML = '';
        return nodes;
    }

    //下面这些方法含义和jQuery类似
    Query.prototype = $.fn = {
        /**
         * 绑定事件.forEver的事件不会被clear,但可以解绑
         */
        on: function (evt, fn, forEver, once, selector) {
            $.event.on(this, evt, fn, forEver, once, selector);
            return this
        },
        /**
         * 解绑事件
         * @param fn 解绑的函数.
         *           如果不指定,则移除此事件上绑定的所有函数
         *           需和绑定时的函数是同一个函数实例才能解绑（注意:闭包中声明的函数,每次执行时不是同一个实例）.
         *           如果希望强制解除,可以为fn指定一个固定的globalId属性(不同的函数实例只要globalId相同,就能互相解绑)
         */
        off: function (evt, fn) {
            $.event.off(this, evt, fn);
            return this
        },
        /**
         * 绑定事件,执行一次后自动解绑
         */
        one: function (evt, fn, forEver) {
            return this.on(evt, fn, forEver, 1);
        },
        /*
         先解绑,再绑定. 可避免重复绑定,参数与off和on方法一致
         */
        offOn: function (evt, fn, forEver, once) {
            return this.off(evt, fn).on(evt, fn, forEver, once)
        },
        find: function (selector) {
            return eachJoin(this, function (e) {
                return select(selector, e)
            });
        },
        eq: function (i) {
            return $(this[i]);
        },
        slice: function (start, end) {
            return arrQuery(this.es.slice(start, end));
        },
        //其他方法
        first: function () {
            return this.eq(0);
        },
        last: function () {
            return this.eq(this.length - 1);
        },
        parent: function () {
            return eachJoin(this, function (e) {
                return e.parentNode
            });
        },
        closest: function (selector) {
            return eachJoin(this, function (e) {
                do {
                    e = e.parentNode;
                } while (e && !elIs(e, selector));
                return e;
            });
        },
        next: function () {
            return eachJoin(this, function (e) {
                return sibling(e, 1)
            })
        },
        prev: function () {
            return eachJoin(this, function (e) {
                return sibling(e)
            })
        },
        children: function () {
            return eachJoin(this, function (e) {
                return e.children
            })
        },
        remove: function () {
            return tryEach(this, function (e) {
                e.parentNode.removeChild(e);
            })
        },
        /*css: function (p, val) {
         return typeof p == 'string'
         ? tryEach(this, function (e) {
         e.style[p] = val;
         })
         : tryEach(this, function (e) {
         for (var n in p)
         e.style[n] = p[n];
         })
         },*/
        addClass: function (cls) {
            return tryEach(this, function (e) {
                cls && cls.split(' ').forEach(function (i) {
                    e.classList.add(i)
                })
            })
        },
        /*
         @param cls 要移除的class,如果不传此参数,则移除所有class
         */
        removeClass: function (cls) {
            var removeAll = !arguments.length;
            return tryEach(this, function (e) {
                removeAll ? e.className = '' : e.classList.remove(cls);
            })
        },
        toggleClass: function (cls, isAdd) {
            var noArg2 = arguments.length == 1;
            return tryEach(this, function (e) {
                if (noArg2)
                    isAdd = !e.classList.contains(cls);
                e.classList[isAdd ? 'add' : 'remove'](cls);
            })
        },
        hasClass: function (cls) {
            var e = this.es[0];
            return e && e.classList.contains(cls)
        },
        css: function (n, val) {
            var isString = typeof n == 'string', arg = arguments;
            return access(this, arg, 1, function (e) {
                return e.style[n];
            }, function (e) {
                if (isString) {
                    e.style[n] = val;
                } else {
                    for (var k in n) {
                        e.style[k] = n[k];
                    }
                }
            }, function () {
                return isString && arg.length < 2;
            });
        },
        hide: function () {
            return tryEach(this, function (e) {
                e.style.display = 'none';
            })
        },
        show: function () {
            return tryEach(this, function (e) {
                e.style.display = 'initial';
            })
        },
        text: function (tx) {
            return access(this, arguments, 0, function (e) {
                return e.tagName == 'SELECT' ? (e = e.options[e.selectedIndex]) && e.text : e.textContent
            }, function (e) {
                e.textContent = tx
            });
        },
        html: function (htm) {
            return access(this, arguments, 0
                , function (e) {
                    return e.innerHTML
                }
                , function (e) {
                    e.innerHTML = htm || '';
                }
            );
        },
        val: function (v) {
            return access(this, arguments, 0, function (e) {
                return e.value
            }, function (e) {
                e.value = v === undefined ? '' : v;
            });
        },
        is: function (selector) {
            return elIs(this.es[0], selector);
        },
        rect: function () {
            return getRect(this.es[0]);
        },
        /**
         * 取style.width或offsetWidth
         */
        width: function (val) {
            return access(this, arguments, 0
                , function (e) {
                    return getRect(e).width
                }
                , function (e) {
                    if (/^[\d\.]+$/.test(val)) {
                        val += 'px'
                    }
                    e.style.width = val
                }
            );
        },
        /**
         * 取style.height或offsetHeight
         */
        height: function (val) {
            return access(this, arguments, 0
                , function (e) {
                    return getRect(e, 1).height
                }
                , function (e) {
                    if (/^[\d\.]+$/.test(val)) {
                        val += 'px';
                    }
                    e.style.height = val
                }
            );
        },
        /*
         获取或设置属性.如果是元素固有属性,直接操作之;否则通过setAttribute设置
         */
        attr: function (name, val) {
            return access(this, arguments, 1
                , function (e) {
                    return isElProperty(e, name) ? e[name] : e.getAttribute(name)
                }
                , function (e) {
                    if (isElProperty(e, name)) e[name] = val;
                    else e.setAttribute(name, val);
                }
            );
            //判断是否是元素固有属性,如disabled或checked
            function isElProperty(e, name) {
                while (e != null) {
                    if (e.hasOwnProperty(name)) return true;
                    e = e.__proto__;
                }
                return false
            }
        },
        /*
         * 节点操作
         */
        /*prepend: function (es) {
         return tryEach2(this, es, function (prt, child) {
         prt.insertBefore(child, prt.childNodes[0])
         })
         },
         prependTo: function (es) {
         return tryEach2(this, es, function (child, prt) {
         prt.insertBefore(child, prt.childNodes[0])
         })
         },*/
        append: function (es) {
            return tryEach2(this, es, function (prt, child) {
                prt.appendChild(child)
            })
        },
        appendTo: function (es) {
            return tryEach2(this, es, function (child, prt) {
                prt.appendChild(child)
            })
        },
        before: function (es) {
            return tryEach2(this, es, function (e1, e2) {
                e2.parentNode.insertBefore(e1, e2)
            })
        },
        //在DOM节点上触发事件,支持冒泡
        trigger: function (name, noBubble) {
            var event = typeof name === 'string' ? $.event.create(name, noBubble) : name;
            event.args = [].slice.call(arguments, 2);
            return tryEach(this, function (e) {
                e.dispatchEvent ? e.dispatchEvent(event) : $.event.dispatch.call(e, event);
            })
        },
        //触发元素上绑定的事件操作
        triggerHandler: function (name) {
            var event = $.event.create(name);
            return tryEach(this, function (e) {
                $.event.dispatch.call(e, event)
            })
        },
        each: function (fn) {
            this.es.forEach(fn);
        }
    };
    //一系列的事件方法，on方法的简写。移动端省略了鼠标事件
    ["blur", "focus", "focusin", "focusout", "load", "resize", "scroll", "unload"
        , tap//, "click", "dblclick", "mousedown", "mouseup", "mousemove", "mouseover", "mouseout", "mouseenter", "mouseleave"
        , "touchmove", "touchstart", "touchend", "touchcancel"
        , "change", "select", "submit", "keydown", "input", "keypress", "keyup", "error"//, "contextmenu"
    ].forEach(function (evt) {
        $.fn[evt] = function (fn, forEver, once, selector) {
            return this.on(evt, fn, forEver, once, selector)
        }
    });
    $.fn.tap = $.fn[tap];

    /*
     判断元素e是否符合选择器
     */
    function elIs(e, selector) {
        var m = e && (e.webkitMatchesSelector || e.matchesSelector || e.matches);
        return m ? m.call(e, selector) : $(selector).es.indexOf(e) > -1;
    }

    /**
     * 根据val是否传递，来获取值，或者设置值
     */
    function access(qObj, args, i, fnGet, fnSet, fnJudge) {
        //没有索引为i的参数,就作为fnGet
        if (fnJudge ? fnJudge() : args.length <= i) {
            var r = qObj[0] && fnGet(qObj[0]);
            return r === undefined || r === null ? '' : r;
        }
        else if (fnSet) {
            qObj.es.forEach(function (e) {
                fnSet(e, args[i])
            });
            return qObj;
        }
    }

    /**
     * 尝试遍历内部数组
     */
    function tryEach(qObj, fn) {
        try {
            qObj.es.forEach(fn)
        } catch (e) {
        }
        return qObj;
    }

    function tryEach2(qObj, el, fn) {
        qObj.es.forEach(function (e) {
            try {
                $(el).es.forEach(function (e2) {
                    fn.call(e, e, e2)
                })
            } catch (ex) {
            }
        });
        return qObj;
    }

    /**
     * 根据结果扩充或缩减内部数组
     */
    function eachJoin(qObj, fn) {
        try {
            var es = [];
            qObj.es.forEach(function (e) {
                var r = fn(e);
                if (r && r.length !== undefined && !r.tagName) {
                    r = r instanceof Array ? r : toArr(r);
                    es = es.concat(r);
                }
                else if (r && es.indexOf(r) == -1) {
                    es.push(r);
                }
            });
        } catch (e) {
        }
        return arrQuery(es);
    }

    /**
     * 获取非文本兄弟节点
     */
    function sibling(e, next) {
        try {
            do {
                e = (next ? e.nextSibling : e.previousSibling)
            } while (e && e.nodeType != 1);
        } catch (e) {
        }
        return e
    }

    /*
     获取高度或宽度,位置
     */
    function getRect(el, isHeight) {
        var name = isHeight ? 'Height' : 'Width';
        if (el === window) {
            var w = window;
            return {
                height: w['inner' + name],
                width: w['inner' + name],
                left: w.pageXOffset,
                top: w.pageYOffset
            }
        }
        return el && el.getBoundingClientRect();
    }

    /*
     将集合转换为数组
     */
    function toArr(coll) {
        return [].slice.call(coll, 0)
    }

    /**
     * 根据新对象数组，设置索引属性值和length值
     */
    function setItems(qObj, es) {
        var i;
        for (i = 0; i < qObj.length; i++) {
            delete qObj[i]
        }
        if (!(es instanceof Array)) {
            es = toArr(es);
        }
        for (i = 0; i < es.length; i++) {
            qObj[i] = es[i];
        }
        qObj.es = es;
        qObj.length = es.length
    }

    /*
     模拟tap事件,模拟stroke事件
     tap事件:点击屏幕,不移动,并立即抬起时触发
     支持changedTouches等属性
     支持preventDefault().(事件绑在body上,故stopPropagation无意义)
     简化处理:如果touchstart和touchend移动范围很小,而且时间间隔短,则触发tap事件

     stroke事件: 点击屏幕,拖动,然后抬起时触发
     支持deltaX和deltaY属性,表示移动的距离.值的正负表示方向.
     支持preventDefault()
     */
    $(function () {
        var time, x, y, el, curEl, topEl;

        function findTopEl (el) {
            while (el && el instanceof HTMLElement && el.getAttribute('data-tappable') == null) {
                el = el.parentNode;
            }

            return el instanceof HTMLElement ? el : null;
        }

        function findEl (el, selector) {
            var p = Element.prototype;
            var f = p.matches || p.webkitMatchesSelector || p.mozMatchesSelector || p.msMatchesSelector || function(s) {
                return [].indexOf.call(document.querySelectorAll(s), this) !== -1;
            };

            while (el && el instanceof HTMLElement && !f.call(el, selector)) {
                el = el.parentNode;
            }

            return el instanceof HTMLElement ? el : null;
        }

        function measure (e, o, t, fire, overstep, overtime) {
            var tch = e.changedTouches[0], timespan = Date.now() - time
                , dx = tch.pageX - o.x, dy = tch.pageY - o.y
                , dt = Math.abs(dx) + Math.abs(dy);
            if (dt < tapMaxMove) {
                if (timespan >= tapDelay) {
                    overtime.call(this, dx, dy);
                } else {
                    fire.call(this, dx, dy);
                }
            } else {
                overstep.call(this, dx, dy);
            }
        }

        $(document.body).touchstart(function (e) {
            time = Date.now();
            el = e.target;
            x = e.changedTouches[0].pageX;
            y = e.changedTouches[0].pageY;

            topEl = findTopEl(e.target);
            if (topEl) {
                var selector = topEl.getAttribute('data-tappable');
                curEl = selector ? findEl(e.target, selector) : topEl;
                curEl && curEl.classList.add('tapping');
            }

            setTimeout(function () {
                curEl && curEl.classList.remove('tapping');
            }, tapDelay);
        }, 1).touchmove(function (e) {
            if (el == e.target) {
                measure(e, {x:x, y:y}, time, function () {
                    console.log('Touch moving');
                }, function () {
                    console.log('Touch cancelled by overstep (touchmove)');
                    curEl && curEl.classList.remove('tapping');
                    el = null;
                }, function () {
                    console.log('Touch cancelled by overtime (touchmove)');
                    curEl && curEl.classList.remove('tapping');
                    el = null;
                });
            }
        }, 1).touchend(function (e) {
            if (el == e.target) {
                curEl && curEl.classList.remove('tapping');
                measure(e, {x:x, y:y}, time, function () {
                    console.log('Fire tap event.');
                    fire(tap, e, {});
                    el = null;
                }, function (dx, dy) {
                    console.log('Touch cancelled by overstep (touchend)');
                    fire('stroke', e, {deltaX: dx, deltaY: dy});
                    el = null;
                }, function (dx, dy) {
                    console.log('Touch cancelled by overtime (touchend)');
                    fire('stroke', e, {deltaX: dx, deltaY: dy});
                    el = null;
                });
            }
        }, 1);
        /*
         基于TouchEvent触发touch类模拟事件
         */
        function fire(evt, e, attr) {
            var tapE = document.createEvent('Event');
            tapE.initEvent(evt, true, true);
            ['touches', 'targetTouches', 'changedTouches'].forEach(function (a) {
                tapE[a] = e[a];
            });
            Object.keys(attr).forEach(function (a) {
                tapE[a] = attr[a]
            });
            $(e.target).trigger(tapE);//在DOM上触发事件绑定（同步执行）
            if (tapE.defaultPrevented) e.preventDefault();
        }
    });

    return $;
})();

module.exports = $;
},{}],18:[function(require,module,exports){
//$是全局唯一的,unique的变量暂时放它上面,避免重复执行
"use strict";
var $ = require("./$.js");
var aop = $.aop;
if (!aop) {
    aop = $.aop = {
        //__proto__: $(document.body),
        /*
         触发全局的aop事件,可传参
         */
        fire: function (evt) {
            //在evt参数后面插入一个false参数,其他参数不变,传给trigger
            [].splice.call(arguments, 1, 0, false);
            var d = $(document.body);
            d.trigger.apply(d, arguments);
        },

        /*
         为aop事件绑定事件处理
         */
        on: function (evt, fn, forEver, once) {
            $(document.body).on(evt, fn, forEver, once);
            return this;
        },
        /*
         为aop事件绑定一次性的事件处理
         */
        one: function (evt, fn, forEver) {
            return this.on(evt, fn, forEver, 1);
        },
        off: function (evt, fn) {
            $(document.body).off(evt, fn);
            return this;
        },
        offOn: function (evt, fn, forEver, once) {
            return this.off(evt, fn).on(evt, fn, forEver, once)
        }
    };


    //页面离开时,清除当前事件绑定,释放内存
    aop.on('page_out', function () {
        //清除$中缓存的本页事件.
        $.clear();
    }, 1)
    
}
module.exports = aop;

},{"./$.js":17}],19:[function(require,module,exports){
"use strict";

var platformUtil = require('./platformUtil');
var Q = require('./promise');

/**
 * 创建一个 Bridge 的对象构造函数，将已有所列的接口列表绑定到 bridge 对象上，如果版本不支持某方法，则该方法不绑定
 * @class
 * @classdesc 该类用于统一处理 native 和 H5 之间的交互
 */
var Bridge = function () {
    /**
     * 支持的接口列表，以后的新增接口，统一添加到这里
     */
    var Interfaces = {
        'js_opt_h5_login':                  [ 0, 0 ], // iOS, Android
        'js_get_security_data':             [ 0, 0 ],
        'js_update_user_info_to_native':    [ 0, 0 ],
        'js_get_photo':                     [ 0, 0 ],
        'js_user_info_perfect_callback':    [ 0, 0 ],
        'js_opt_h5_toNative':               [ 0, 0 ],
        'js_pwd_keyboard':                  [ 0, 0 ],
        'js_pdf_viewer':                    [ 0, 0 ],
        'js_html_viewer':                   [ 0, 0 ],
        'js_anydoor_open':                  [ 0, 0 ],
        'js_xiaoan_forward':                [ 0, 0 ],
        'js_request_security':              [ 0, 0 ],
        'js_cfb_open':                      [ 0, 0 ],
        'js_upload_file':                   [ 0, 0 ], // 9月20日需求，需要填写9月6日发布的 native 版本号
        'js_barcode_scanner':               [ 0, 0 ], // 9月20日需求，需要填写9月6日发布的 native 版本号
        'js_faceCheck_open':                [ 0, 0 ],
        'js_disable_scroll':                [ 0, 0 ],
        'js_send_wechat':                   [ 0, 0 ]
    };

    /**
     * 自动绑定 Cordova 接口到 bridge 对象
     *
     * @param {Object} bridge - Bridge 对象；
     * @param {number} ios - 可选，当前 iOS 版本号；
     * @param {number} android - 可选，当前 Android 版本号。
     */
    function bindInterfaces (bridge, ios, android) {
        for (var name in Interfaces) {
            var item = Interfaces[name];
            if (ios && ios <= item[0] || android && android <= item[1]
                || !ios && !android) {
                continue;
            }
            bridge[name] = bridge.js_cordova_exec.bind(bridge, name);
        }

        // 为该方法创建别名
        bridge['js_opt_h5_to_native'] = bridge['js_opt_h5_toNative'];
        bridge['js_ios_app_vesion']  = bridge['js_ios_app_version'];

        // 对该接口做特殊处理：如果支持，将真正的函数引用进来；如果不支持，只给出一个空函数。
        if (bridge['js_request_security']) {
            bridge['js_request_security'] = bridge['_js_request_security'];
        } else {
            bridge['js_request_security'] = function (data, success) {
                success();
            }
        }
    }

    if (window.isApp) {
        // 如果运行环境为 iOS ，则使用回调方法确定 build 号
        platformUtil.ios && this.js_ios_app_version((function (app) {
            bindInterfaces(this, app.iosBundleVersion * 1);
        }).bind(this));

        // 如果运行环境为 Android ，则使用 window.healthAppObj 对象取得 build 号
        try {
            platformUtil.android && bindInterfaces(this, null, healthAppObj.getAppVersionCode());
        }
        catch (e) {
            console.log(e);
        }
    } else {
        // 如果在非 iOS 或 Android 环境中，Cordova 接口肯定不支持，
        // 因此不绑定任何方法 。
        // bindInterfaces(this);
    }
}


Bridge.prototype = {
    /**
     * 请求 Cordova 接口成功后的回调函数，回调类型名称为`successCallback`.
     *
     * @callback successCallback
     * @param {Object} resp - 请求成功的结果
     */

    /**
     * 请求 Cordova 接口失败后的回调函数，回调类型名称为`errorCallback`.
     *
     * @callback errorCallback
     * @param {Object} err - 错误原因等
     */

    /**
     * 调用 Cordova 接口的公共方法
     *
     * @param {string} method - 方法名称；
     * @param {Object|Array} data - 请求的入参，可以为数组、对象或空；
     * @param {successCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 当不存在 Cordova 对象，或执行失败之后的回调函数；
     * @param {string} pluginName - Cordova 插件名称，默认为 PAJsBridge。
     */
    js_cordova_exec: function (method, data, success, error, pluginName) {
        var deferred = Q.defer(),
            parameters =
            Object.prototype.toString.call(data) === '[object Array]' ?
            data : [ data || {} ];

        success = success || function () {};
        error = error || function () {};

        window.cordova && cordova.exec(function (resp) {
            success.call({}, resp);
            deferred.resolve(resp);
        }, function (err) {
            error.call({}, err);
            deferred.reject(err);
        },
            pluginName || 'PAJsBridge',
            method, parameters
        );

        if (!window.cordova) {
            error.call({});
            deferred.reject();
        }

        return deferred.promise;
    },

    /**
     * 设置导航栏（支持版本 Android > 105 , iOS > 152）
     *
     * @param {Object} param - 入参
     * @param {string} param.hasbar - 是否显示导航栏 ( yes / no )；
     * @param {string} param.title - 导航栏文字；
     * @param {string} param.leftBtn - 左按钮图标 Unicode 形式；
     * @param {string} param.rightBtn - 右按钮图标 Unicode 形式；
     * @param {string} param.onLeftButtonClicked - 左按钮点击回调函数名；
     * @param {string} param.onRightButtonClicked - 右按钮点击回调函数名。
     */
    js_h5_toolbar: function (param) {
        this.js_cordova_exec('js_h5_toolbar', param);
    },

    /**
     * 返回 native 首页（支持版本 Android > 105, iOS > 152）
     */
    js_close_webview: function () {
        this.js_cordova_exec('js_close_webview');
    },

    /**
     * 返回 iOS 入口页面（支持版本 Android > 105, iOS > 152）
     * 
     * @param {Object} param - 输入参数，可选
     */
    js_native_last: function (param) {
        this.js_cordova_exec('js_native_last', param);
    },

    /**
     * 统一的返回处理，当 iOS 时，返回到入口页面，当 Android 时，关闭当前 WebView 窗口
     */
    native_last: function () {
        platformUtil.android && this.js_close_webview();
        platformUtil.ios && this.js_native_last();
    },

    /**
     * 使用 Cordova 默认方式，打开浏览器
     *
     * @param {string} url - 页面地址
     */
    js_new_browser: function (url) {
        this.js_cordova_exec('open', [ url, '_system', 'location=yes' ],
            null, null, 'InAppBrowser');
    },

    /**
     * 调用 native 登录界面（支持版本 Android > 105, iOS > 152）
     *
     * @param {string} currentUrl - 当前页面的URL地址，用于登录成功后返回
     */
    js_login: function (currentUrl) {
        this.js_cordova_exec('js_login', { currentUrl : currentUrl });
    },

    /**
     * 低门槛用户升级高门槛（支持版本 Android > 105, iOS > 152）
     */
    js_upgradeUser: function() {
        this.js_cordova_exec('js_upgradeUser');
    },

    /**
     * 写入 Talking Data 埋点（支持版本 Android > 105, iOS > 152）
     *
     * @param {string} eventID - 事件ID
     * @param {string} eventLabel - 事件标签
     */
    js_talking_data: function (eventID, eventLabel) {
        this.js_cordova_exec('js_talking_data', {
            eventID: eventID,
            eventLable: eventLabel
        });
    },

    /**
     * 请求 js_claimNotice_download 接口成功后的回调函数，回调类型名称为`successClaimCallback`.
     *
     * @callback successClaimCallback
     * @param {Object} resp - 成功回调返回参数
     * @param {string} resp.status - 执行结果，0:成功；1:失败
     */

    /**
     * 下载理赔通知书（支持版本 Android > 105, iOS > 152）
     *
     * @param {string} chsNo - 保单号
     * @param {successClaimCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 执行失败之后的回调函数；
     */
    js_claimNotice_download: function(chsNo, success, error) {
        this.js_cordova_exec('js_claimNotice_download', {chsNo: chsNo},
            success, error);
    },

    /**
     * 请求 js_ios_app_version 接口成功后的回调函数，回调类型名称为`successVersionCallback`.
     *
     * @callback successVersionCallback
     * @param {Object} resp - 成功回调返回参数
     * @param {string} resp.iosBundleVersion - 执行结果，版本号
     */

    /**
     * 获取 iOS 版本号，别名：js_ios_app_vesion（支持版本 Android > 105, iOS > 152）
     *
     * @param {successVersionCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 执行失败之后的回调函数；
     */
    js_ios_app_version: function (success, error) {

        // 如果用户指定 error 函数，则调用用户的 error 函数；
        // 如果用户未指定，则调用 success 函数，并 mock 一个最小版本号
        error = error || function () {
            success({ iosBundleVersion : 0 });
        }

        this.js_cordova_exec('js_ios_app_vesion', null, success, error);
    },

    /**
     * 请求 js_wechat_share_friend 接口成功后的回调函数，回调类型名称为`successShareFriendCallback`.
     *
     * @callback successShareFriendCallback
     * @param {Object} resp - 成功回调返回参数
     * @param {string} resp.status - 执行结果，0: 分享成功 1: 用户取消分享 2: 分享失败
     */

    /**
     * 分享到微信好友（支持版本 Android > 105, iOS > 152）
     *
     * @param {Object} param - 入参
     * @param {string} param.title - 分享标题（仅在分享到好友）
     * @param {string} param.description - 分享描述文字
     * @param {string} param.imageUrl - 分享图标地址（绝对路径）
     * @param {string} param.shareUrl - 分享页面的链接地址（绝对路径）
     * @param {successShareFriendCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 执行失败之后的回调函数；
     */
    js_wechat_share_friend: function (param, success, error) {
        this.js_cordova_exec('js_wechat_share_friend', param, success, error);
    },

    /**
     * 请求 js_wechat_share_friend 接口成功后的回调函数，回调类型名称为`successShareFriendCallback`.
     *
     * @callback successShareFriendCallback
     * @param {Object} resp - 成功回调返回参数
     * @param {string} resp.status - 执行结果，0: 分享成功 1: 用户取消分享 2: 分享失败
     */

    /**
     * 分享到微信朋友圈好友（支持版本 Android > 105, iOS > 152）
     *
     * @param {Object} param - 入参
     * @param {string} param.title - 分享标题（仅在分享到好友）
     * @param {string} param.description - 分享描述文字
     * @param {string} param.imageUrl - 分享图标地址（绝对路径）
     * @param {string} param.shareUrl - 分享页面的链接地址（绝对路径）
     * @param {successShareFriendCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 执行失败之后的回调函数；
     */
    js_wechat_share_timeline: function (param, success, error) {
        this.js_cordova_exec('js_wechat_share_timeline', param, success, error);
    },

    /**
     * 请求 js_calendar 接口成功后的回调函数，回调类型名称为`successCalendarCallback`.
     *
     * @callback successCalendarCallback
     * @param {Object} resp - 成功回调返回参数
     * @param {string} resp.currentDate - 用户选择的日期，格式为：yyyy-mm-dd
     */

    /**
     * 获取日历（支持版本 Android > 105, iOS > 152）
     *
     * @param {Object} param - 入参
     * @param {string} param.startDate - 选择范围的开始日期
     * @param {string} param.endDate - 选择范围的结束日期
     * @param {string} param.currentDate - 弹出时显示的默认日期
     * @param {successCalendarCallback} success - 执行成功之后的回调函数；
     * @param {errorCallback} error - 执行失败之后的回调函数；
     */
    js_calendar: function (param, success, error) {
        this.js_cordova_exec('js_calendar', param, success, error);
    },

    /**
     * 跳转 native 界页（支持版本 Android > 105, iOS > 152）
     * @param {Object} param - 页面信息
     */
    js_go_native: function (param) {
        this.js_cordova_exec('js_go_native', param);
    },

    /**
     * 兼容老框架与 native 交互的方法，js_oldNative 将原来setUrl发消息方式的交互改为 Cordova 调用方式
     *
     * @param {Object} param - 原始请求的入参
     */
    js_oldNative: function(param) {
        this.js_cordova_exec('js_oldNative', param);
    },

    /**
     * 调用 Cordova 自带日志插件
     *
     * @param {string} title - 日志标题
     * @param {string} content - 日志内容
     */
    js_log: function (title, content) {
        window.isApp && this.js_cordova_exec(
            'logLevel', [ title, content ], null, null, 'Console');
    },

    /**
     * 调用 js_h5_pasign 请求的回调函数，函数类型名称`successPASignCallback`.
     *
     * @callback successPASignCallback
     * @param {string} signData - 签名数据
     */

    /**
     * 年金电子签名调用 native 签名页面
     *
     * @param {successPASignCallback} success - Native 签名成功后的回调函数
     * @param {Object} dataObj - 请求的入参
     */
    js_h5_pasign: function (success, dataObj) {
        dataObj = dataObj || {};
        dataObj.isSign = 'Y';

        function callback (res) {
            res && res.status === '1' && success(res.signDataData);
        }

        this.js_cordova_exec('js_h5_pasign', dataObj, callback);
    },

    /**
     * OTP 登录使用
     *
     * @param {successCallback} success - 成功的回调函数
     * @param {errorCallback} error - 失败的回调函数
     */
    js_get_user_info_to_h5: function (success, error) {
        this.js_cordova_exec('js_get_user_info_to_h5', null, success, error);
    },

    js_update_user_info:function(data,succ,error){
        this.js_cordova_exec("js_update_user_info",data,succ,error);
    },

    js_get_photo:function(data,success,error){
        this.js_cordova_exec("js_get_photo", data ,success, error);
    },

    js_send_wechat:function(data){
        this.js_cordova_exec("js_send_wechat", data ,function(){}, function(){});
    },

    /**
     * 禁用native滚动条
     *
     * @param 无
     * */
    js_disable_scroll: function (data) {
        this.js_cordova_exec("js_disable_scroll",data)
    },



    /**
     * 奥运活动加签，因为要判断版本是否支持，所以将该方法设为私有，待版本检查通过后改为公开
     *
     * @param {Object} data - 入参
     * @param {successCallback} success - 成功的回调函数
     */
    _js_request_security: function (data, success) {
        this.js_cordova_exec('js_request_security', data, success, function () {
            success();
        });
    }
}

/**
 * Bridge 对象，用于封装 JS 调用 native 的所有方法
 *
 * @module bridge
 * @see {@link Bridge}
 */
module.exports = new Bridge();

},{"./platformUtil":22,"./promise":23}],20:[function(require,module,exports){
"use strict";

function cloneObj(source) { //复制对象方法
    if (typeof(source) != 'object') return source;
    if (source == null) return oldObj;
    var target = {};
    for (var i in source)
        target[i] = cloneObj(source[i]);
    return target;
};

module.exports=function extend() { //扩展对象
    var args = arguments;
    if (args.length < 2) return;
    var temp = cloneObj(args[0]); //调用复制对象方法
    for (var n = 1; n < args.length; n++) {
        for (var i in args[n]) {
            temp[i] = args[n][i];
            args[0][i]=args[n][i];
        }
    }
    return temp;
}

},{}],21:[function(require,module,exports){
"use strict";
module.exports=function(obj){
    return Object.prototype.toString.call(obj) === '[object Array]';
}
},{}],22:[function(require,module,exports){
"use strict";
function getInfo() {
    var u = navigator.userAgent;
    //是否为ios或安卓
    var ios = /iPhone|iPad|Mac/i.test(u), android = /Android|Linux/i.test(u);
    //app版本
    var appVer = 0;
    try {
        if (android) appVer = window.healthAppObj.getAppVersionCode();
        if (ios) appVer = window.iosBundleVersion;
    }
    catch (e) {

    }

    //密码键盘是否可用
    var pwdKbdEnabled = (android && appVer > 111 || ios && appVer > 200);

    return {
        ios: ios,
        android: android,
        appVer: appVer,
        pwdKbdEnabled: pwdKbdEnabled
    }
}
module.exports = getInfo();
},{}],23:[function(require,module,exports){
"use strict";

function Promise (deferred) {
    this.deferred = deferred;
    this.committed = false;
    this.ret = undefined;
    this.innerDeferred = undefined;
}

Promise.prototype = {
    then: function (succ, fail) {
        this._succ = succ || function () {}
        this._fail = fail || function () {}

        this.innerDeferred = this.innerDeferred || q.defer();
        this.execute();
        return this.innerDeferred.promise;
    },

//    catch: function () {
//        // TODO: 该方法未实现，因为暂时没有被调用
//    },
    
    execute: function () {
        var deferred = this.innerDeferred;
        if (this.committed) {
            deferred && this.deferred.state.type === 'resolve' && deferred.resolve(this.ret);
            deferred && this.deferred.state.type === 'reject' && deferred.reject(this.ret);
            return;
        }
      
        if (this.deferred.state.type === 'resolve' && this._succ) {
            this.committed = true;
            this.ret = this._succ(this.deferred.state.ctx);
            deferred && deferred.resolve(this.ret);
        }
      
        if (this.deferred.state.type === 'reject' && this._fail) {
            this.committed = true;
            this.ret = this._fail(this.deferred.state.ctx);
            deferred && deferred.reject(this.ret);
        }
    }
}

function Defer () {
    this.promise = new Promise(this);
    this.state = {
        type: 'new',
        ctx: undefined
    }
}

Defer.prototype = {
    resolve: function (obj) {
        if (this.state.type === 'new') {
            this.state.type = 'resolve';
            this.state.ctx = obj;
            this.promise.execute();
        }
    },

    reject: function (obj) { 
        if (this.state.type === 'new') {
            this.state.type = 'reject';
            this.state.ctx = obj;
            this.promise.execute();
        }
    }
}

function Q () {}

Q.prototype = {
    defer: function () {
        return new Defer();
    },
    
    all: function (list) {
        list = list || [];
        var defer = this.defer();
        var length = list.length;
        var resolved = 0;
        var rets = [];
      
        function bind (i) {
            list[i].then(function (ret) {
                rets[i] = ret;
                resolved++;
                if (resolved === length) {
                    defer.resolve(rets);
                }
            }, function (e) {
                defer.reject(e);
            });
        }
      
        for (var i=0; i<length; i++) {
            bind(i);
        }
      
        return defer.promise; 
    }
}

module.exports = new Q();
},{}],24:[function(require,module,exports){
/*
 从native获取用户信息
 */
module.exports = function (succ, err) {
    if (window.cordova) {
        cordova.exec(succ, err, "PAJsBridge", 'js_get_userinfo', [{}])
    }
    else {
        //供开发时调试用,先进行OTP登陆. OTP登录之后会设置localStorage.loginInfo
        try {
            var loginInfo = window.localStorage.loginInfo;
            if (loginInfo) {
                loginInfo = eval('(' + loginInfo + ')');
                return succ(loginInfo)
            }else{
                console.error('Need loginInfo')
            }
        }
        catch (e) {
        }
        err && err();
    }
}
},{}],25:[function(require,module,exports){
/*TMODJS:{}*/
!function(){function a(a,b){return(/string|function/.test(typeof b)?h:g)(a,b)}function b(a,c){return"string"!=typeof a&&(c=typeof a,"number"===c?a+="":a="function"===c?b(a.call(a)):""),a}function c(a){return l[a]}function d(a){return b(a).replace(/&(?![\w#]+;)|[<>"']/g,c)}function e(a,b){if(m(a))for(var c=0,d=a.length;d>c;c++)b.call(a,a[c],c,a);else for(c in a)b.call(a,a[c],c)}function f(a,b){var c=/(\/)[^\/]+\1\.\.\1/,d=("./"+a).replace(/[^\/]+$/,""),e=d+b;for(e=e.replace(/\/\.\//g,"/");e.match(c);)e=e.replace(c,"/");return e}function g(b,c){var d=a.get(b)||i({filename:b,name:"Render Error",message:"Template not found"});return c?d(c):d}function h(a,b){if("string"==typeof b){var c=b;b=function(){return new k(c)}}var d=j[a]=function(c){try{return new b(c,a)+""}catch(d){return i(d)()}};return d.prototype=b.prototype=n,d.toString=function(){return b+""},d}function i(a){var b="{Template Error}",c=a.stack||"";if(c)c=c.split("\n").slice(0,2).join("\n");else for(var d in a)c+="<"+d+">\n"+a[d]+"\n\n";return function(){return"object"==typeof console&&console.error(b+"\n\n"+c),b}}var j=a.cache={},k=this.String,l={"<":"&#60;",">":"&#62;",'"':"&#34;","'":"&#39;","&":"&#38;"},m=Array.isArray||function(a){return"[object Array]"==={}.toString.call(a)},n=a.utils={$helpers:{},$include:function(a,b,c){return a=f(c,a),g(a,b)},$string:b,$escape:d,$each:e},o=a.helpers=n.$helpers;a.get=function(a){return j[a.replace(/^\.\//,"")]},a.helper=function(a,b){o[a]=b},module.exports=a}();
},{}],26:[function(require,module,exports){
/*!
  * domready (c) Dustin Diaz 2014 - License MIT
  */
!function (name, definition) {

  if (typeof module != 'undefined') module.exports = definition()
  else if (typeof define == 'function' && typeof define.amd == 'object') define(definition)
  else this[name] = definition()

}('domready', function () {

  var fns = [], listener
    , doc = document
    , hack = doc.documentElement.doScroll
    , domContentLoaded = 'DOMContentLoaded'
    , loaded = (hack ? /^loaded|^c/ : /^loaded|^i|^c/).test(doc.readyState)


  if (!loaded)
  doc.addEventListener(domContentLoaded, listener = function () {
    doc.removeEventListener(domContentLoaded, listener)
    loaded = 1
    while (listener = fns.shift()) listener()
  })

  return function (fn) {
    loaded ? setTimeout(fn, 0) : fns.push(fn)
  }

});

},{}],"common":[function(require,module,exports){
"use strict";
(function () {
    /*异步加载模块，加载完成后继续回调当前对象。*/

    // 241KB (9.6K)

    var asynLoader = require("./gum.asynLoader")                    // 1.5
        , gumModule = require('./gum.module')                       // 111.7
        , bridge = require('../gum.ui/utils/bridge')                // 1
        , platformUtil = require('../gum.ui/utils/platformUtil')    // 0
        , $ = require("../gum.ui/utils/$")                          // 0       
        , aop = require("../gum.ui/utils/aop")                      // 0
        , ajax = require("../gum.ui/ajax/ajax")                     // 28
        , appData = require("./applicationData")                    // 1
        , tools = require('./gum.tools')
        , domReady = require('domready')                          // 1
        , gumController=require('./public/gum.controller')
        , gumModel=require("./public/gum.model")
        , log=require("./gum.log")
        , syncAjax=require("./gum.loadCss")
        , extend=require("../gum.ui/utils/extend")
    ;
    
   var toast = new (require("../gum.ui/toast/toast"));
   var alerts = require("../gum.ui/alerts/pops");
    // 在 String / Number / Date 类型中，增加扩展的自定义方法
    tools.extend();
    
    function Manager() {
        this.modules = {};
    }

    Manager.prototype = {
        initModule: function (controller) {
            if (typeof  controller == "function") {
                controller = new controller(instance);
            }
            if( controller.model){
                controller.model.ajax=ajax;
            }
            var module = this.modules[controller.moduleName];
            if (typeof(module) === "undefined") {
                module = new gumModule(controller, instance);
                this.modules[controller.moduleName] = module;
            } else {
                module.init(controller, instance);
            }
        },

        /**
         * 根据 HASH 地址，获取对应的 module 对象（一级模块）。
         * 如果已载入，则返回内存中的对象，如果未载入，启动异步加载过程，
         * 待加载完成时，再去执行 instance._router 方法。
         * 
         * @param {string} path - HASH 地址，比如：myAssets/myAssets/index
         * @returns {Object} 对应的 module 对象，或者为 undefined 。
         */
        getModule: function (path) {
            /*得到模块*/
            var names = this.getModuleData(path);
            var moduleName = names["modName"], name = names["name"];
            var module = this.modules[moduleName];

            /*模块*/
            if (typeof module != "object") {
                new asynLoader(moduleName, name).loadModule(function () {
                    instance._router(path);
                });
                return;
            }

            /*模块中包含模块*/
            if (name && module[name] != "loaded") {
                new asynLoader(moduleName, name).loadModule(function () {
                    instance._router(path);
                });
                return;
            }

            return module;
        },
        _router: function (path) {
            if(path && path.indexOf("service/orderManager/insuranceOrde")>-1){
                window.location.href="index.html#"+path;
                return;
            }
            var module = this.getModule(path);
            if (!module)return;
            var curObj = module._router.findRouter(path);
            if (curObj && curObj.curRouter && curObj.curRouter.curController && curObj.curRouter.curController.cssFile) {
                var names = this.getModuleData(path);
                var preNames = this.getModuleData(this.preHash);
                if (names["modName"] != preNames["modName"] || names["name"] != preNames["name"]) {
                    syncAjax('assets/css/' + curObj.curRouter.curController.cssFile);
                   // $('#module_css').attr('href', 'assets/css/' + curObj.curRouter.curController.cssFile);
                }
            }
            if (module != this.preModule) {
                /*前一个模块退出调用*/
                this.preModule && aop.fire('module_out', this.preModule);
                //this.preModule && this.preModule.events && this.preModule.events.trigger && this.preModule.events.after.call(this.preModule);
                //if(this.preModule)this.preModule.preCurUrl="";
                /*当前模块进入调用*/
                aop.fire('module_in', module);
                //module.events && module.events.trigger && module.events.before.call(module);
                this.preModule = module;
            }
            module.render(path,curObj);
            this.preHash=path;
        },
        getModuleData: function (path) {
            if(!path)return {};
            var names = path.split("/");
            if (names.length >= 3) {
                return {
                    modName: names[0],
                    name: names[1],
                    hash: names.slice(1).join("/")
                }
            }
            return {
                modName: names[0],
                name: "",
                hash: names.slice(0).join("/")
            }
        }
    };
    var instance = new Manager();
    /**
     * 页面加载完成调用事件
     */
    domReady(function(){
            //记录forword的hash
            var hashforword = "";
            //全局变量
            window.AppObj = {};
            window.onhashchange = function () {
                var hash = window.location.hash;
                //解决ios两次加载模块文件
                if(hashforword !="" && hashforword == hash){
                    return;
                }
                hashforword = "";

                if (hash) {
                    instance._router(hash.replace("#", ""));
                }

            };
            if(location.search.indexOf("shareId")>-1){
                queryShareNote();
            }else if(location.hash !=""){
                hashforword = location.hash;
                instance._router(window.location.hash.slice(1));
            }
            instance.$ = $;
            instance.bridge = bridge;
            instance.ajax = ajax;
            instance.platformUtil = platformUtil;
            instance.appData = appData;
            instance.Controller=gumController;
            instance.Model=gumModel;
            instance.log=log;
            instance.extend=extend;
            instance.toast=toast;
            instance.alerts=alerts;
            /**
             * 微信环境，查询分享配置
             */
            function queryShareNote(){

                if(location.hash =="#insurance/webPay/index" || location.hash =="#insurance/fjPay/acIndex")return;
                //if(location.href.indexOf("insurance_unlogin") == -1)return;
                var shareParams=window.location.search.replace("?",""),
                    shareId;
                if(shareParams.indexOf("shareId")>-1){
                    shareParams=shareParams.split("&");
                    $.each(shareParams,function(item,index){
                        var items=item.split("=");
                        if(items.length==2 && items[0]=="shareId"){
                            shareId=items[1];
                        }
                    });
                    ajax({
                            url:"/egis-scms-app/app/policy/queryShareNoteById.dox",
                            data:{idScmsShare:shareId}
                            //type:"GET",
                            //async:false,
                            //noMask:true
                        },
                        function(res){
                            AppObj.curShareParam=res.data;
                            window.location.hash = AppObj.curShareParam.hash.slice(1);
                            //instance._router(AppObj.curShareParam.hash.slice(1));
                            console.log(AppObj.curShareParam)
                        },
                        function(){

                        }
                    );
                }
            }
    });
    module.exports = window.GUM=instance;
})();
},{"../gum.ui/ajax/ajax":11,"../gum.ui/alerts/pops":13,"../gum.ui/toast/toast":16,"../gum.ui/utils/$":17,"../gum.ui/utils/aop":18,"../gum.ui/utils/bridge":19,"../gum.ui/utils/extend":20,"../gum.ui/utils/platformUtil":22,"./applicationData":1,"./gum.asynLoader":3,"./gum.loadCss":4,"./gum.log":5,"./gum.module":6,"./gum.tools":8,"./public/gum.controller":9,"./public/gum.model":10,"domready":26}]},{},[]);
;(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
(function(){
    var common=require("common");
    function Blank(){
        this.moduleName="insurance";
        this.name="home";
        this.routers={
            index:"index"
        }
    }
    Blank.prototype.index=function(){
        this.curModule._renderHTML("");
    }
    Blank.prototype.setRouter = function(router) {
        this.curRouter = router;
    }
    common.initModule(Blank);
    module.exports=new Blank();
})();
},{"common":"common"}]},{},[1]);
